Bug 1747346 (CVE-2019-15717) - CVE-2019-15717 Irssi: use-after-free if the IRC server sends double CAP
Summary: CVE-2019-15717 Irssi: use-after-free if the IRC server sends double CAP
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-15717
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1747347
Blocks: 1747348
TreeView+ depends on / blocked
 
Reported: 2019-08-30 07:33 UTC by Dhananjay Arunesh
Modified: 2019-09-23 12:45 UTC (History)
3 users (show)

Fixed In Version: Irssi 1.2.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-23 12:45:35 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-08-30 07:33:55 UTC
A vulnerability was found in Irssi 1.2.x before 1.2.2 has a use-after-free if the IRC server sends a double CAP.

Reference:
https://github.com/irssi/irssi/commit/5a4e7ab659aba2855895c9f43e9a7a131f4e89b3

Comment 1 Dhananjay Arunesh 2019-08-30 07:34:07 UTC
Created irssi tracking bugs for this issue:

Affects: fedora-all [bug 1747347]

Comment 2 Dhananjay Arunesh 2019-08-30 07:34:44 UTC
External References:

https://irssi.org/security/irssi_sa_2019_08.txt

Comment 3 Cedric Buissart 🐶 2019-09-23 10:24:04 UTC
Statement:

The versions of Irssi as shipped in Red Hat Enterprise Linux 6, 7 and 8 are not affected by this vulnerability. Only Irssi versions 1.2.x may be vulnerable.

Comment 4 Product Security DevOps Team 2019-09-23 12:45:35 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-15717


Note You need to log in before you can comment on or make changes to this bug.